# norootforbuild

%define _prefix	/usr

Name:				metalink
Version:			0.3.3
Release:			1.1
Summary:			Metalink Generator
Source:			http://prdownloads.sourceforge.net/metalinks/metalink-%{version}.tar.gz
URL:				http://metamirrors.nl/metalinks_project
Group:			Productivity/Networking/Other
License:			GNU General Public License (GPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	libgcrypt-devel boost-devel
BuildRequires:	libicu-devel libgpg-error-devel
BuildRequires:	gcc-c++ libstdc++-devel make
BuildRequires:	help2man
Patch:          metalink-0.3.3-transform.patch

%description
Metalink is the main Metalink generation tool. It combines a list of mirrors
(from stdin) and a number of files into one Metalink record (stdout). It can
also be used to transform a MD5SUMS file into a metalink.

Features currently include:
- Hashing algorithms: md4 md5 sha1 sha256 sha384 sha512 rmd160 tiger crc32
  ed2k gnunet
- Generation of Metalink files from MD5SUMS lists




Authors:
--------
    A. Bram Neijt <bneijt@gmail.com>

%debug_package
%prep
%setup -q
%patch -p1

%build
%configure
%__make %{?jobs:-j%{jobs}}

help2man --section=1 --name=metalink --no-info ./src/metalink \
	| %__sed 's/^Usage:.*/.SH SYNOPSIS/;s/^\.IP$//'
	> metalink.1

%install
%makeinstall
%__install -D -m0644 metalink.1 "%{buildroot}%{_mandir}/man1/metalink.1"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc example
%{_bindir}/metalink
%doc %{_mandir}/man1/metalink.1*

%changelog
* Sat Jul 12 2008 poeml@suse.de
- work around a compile error on openSUSE 11.0 and later.
  See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=11108
  This is the workaround given there.
